apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.38.0 (a8f5d1cbd)
  labels:
    io.kompose.service: navidrome
  name: navidrome
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: navidrome
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.38.0 (a8f5d1cbd)
      labels:
        io.kompose.service: navidrome
    spec:
      containers:
        - env:
            - name: ND_LOGLEVEL
              value: debug
          image: deluan/navidrome:latest
          name: navidrome
          ports:
            - containerPort: 4533
              protocol: TCP
          securityContext:
            runAsGroup: 1000
            runAsUser: 1000
          volumeMounts:
            - mountPath: /data
              name: navidrome
            - mountPath: /music
              name: music
              readOnly: true
      restartPolicy: Always
      volumes:
        - name: navidrome
          persistentVolumeClaim:
            claimName: navidrome
        - name: music
          persistentVolumeClaim:
            claimName: music
            readOnly: true
